Package: maven-bundle-plugin / 2.3.7-2

remove_bndlib_spring_support.diff Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
Description: Drop support of bndlib Spring Framework support
 since this library is not build with this support enabled.
Author: Damien Raude-Morvan <drazzib@debian.org>
Forwarded: not-needed
Last-Update: 2011-10-13

--- a/src/main/java/org/apache/felix/bundleplugin/BundlePlugin.java
+++ b/src/main/java/org/apache/felix/bundleplugin/BundlePlugin.java
@@ -74,7 +74,6 @@
 import aQute.lib.osgi.FileResource;
 import aQute.lib.osgi.Jar;
 import aQute.lib.osgi.Processor;
-import aQute.lib.spring.SpringXMLType;
 
 
 /**
@@ -1213,9 +1212,6 @@
 
         properties.put( "classifier", classifier == null ? "" : classifier );
 
-        // Add default plugins
-        header( properties, Analyzer.PLUGIN, BlueprintPlugin.class.getName() + "," + SpringXMLType.class.getName() );
-
         return properties;
     }